Skip site navigation (1) Skip section navigation (2)

BUG #5802: configure script does not check for perl devel files

From: "Mario Ohnewald" <mo(at)imos(dot)net>
To: pgsql-bugs(at)postgresql(dot)org
Subject: BUG #5802: configure script does not check for perl devel files
Date: 2010-12-28 12:19:55
Message-ID: 201012281219.oBSCJttB055258@wwwmaster.postgresql.org (view raw or flat)
Thread:
Lists: pgsql-bugs
The following bug has been logged online:

Bug reference:      5802
Logged by:          Mario Ohnewald
Email address:      mo(at)imos(dot)net
PostgreSQL version: 8.4.6
Operating system:   Linux / Debian Lenny 5.0.6
Description:        configure script does not check for perl devel files
Details: 

to build postgresql from source on debian lenny you need to install the
following packages:


apt-get install bison flex libreadline5-dev zlib1g-dev libssl-dev
libxml2-dev libxslt1-dev

in order to run ./configure without any errors.

However, during the make, postgres requires perl devel. Should this not be
covered in the configure script?

gcc -O2 -Wall -Wmissing-prototypes -Wpointer-arith
-Wdeclaration-after-statement -Wendif-labels -fno-strict-aliasing -fwrapv
-fpic -shared  plperl.o spi_internal.o SPI.o  -L/usr/local/lib
-L/usr/lib/perl/5.10/CORE -L../../../src/port -lperl -ldl -lm -lpthread -lc
-lcrypt -Wl,-rpath,'/usr/lib/perl/5.10/CORE' -o plperl.so
/usr/bin/ld: cannot find -lperl
collect2: ld returned 1 exit status
make[3]: *** [plperl.so] Error 1

Responses

pgsql-bugs by date

Next:From: Peter EisentrautDate: 2010-12-28 23:22:25
Subject: Re: BUG #5802: configure script does not check for perl devel files
Previous:From: Robert HaasDate: 2010-12-28 11:49:20
Subject: Re: BUG #5801: characters not encoded properly for column names

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group